<?php
/*******************************************************************************
	This is a simplified script to add settings into SMF.

	ATTENTION: If you are trying to INSTALL this package, please access
	it directly, with a URL like the following:
		http://www.yourdomain.com/forum/installverification.php

================================================================================

	This script can be used to add new settings into the database for use
	with SMF's $modSettings array.  It is meant to be run either from the
	package manager or directly by URL.

*******************************************************************************/


// List settings here in the format: setting_key => default_value.  Escape any "s. (" => \")
$mod_settings = array(
		'verificationMaxTries' => 5,
		'verificationWaitTime' => 15,
		'verificationPMvalid' => 5,
		'verificationSearchValid' => 5,
		'verificationImageBackground' => 1,
		'verificationImageSize' => 1,
		'verificationCodeChars' => 5,
		'verificationDontAskRegister' => 0,
		'verificationDontAskGuestPost' => 0,
		'verificationAskPM' => 0,
		'verificationAskGuestSearch' => 0,
		'verificationAskMemberSearch' => 0,
);

/******************************************************************************/

// If SSI.php is in the same place as this file, and SMF isn't defined, this is being run standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// Send to the database.
updateSettings($mod_settings);

// Drop this table if we already have.
db_query("
	DROP TABLE IF EXISTS {$db_prefix}verification_code", __FILE__, __LINE__);
	
// Now add a new table to the database!
$result = db_query("
	CREATE TABLE {$db_prefix}verification_code (
	  `session` varchar(32) NOT NULL default '',
	  `vcode` tinytext NOT NULL,
	  `tries` smallint(6) NOT NULL default '0',
	  `lastTry` int(11) NOT NULL default '0',
	  UNIQUE KEY `session` (`session`)
	)", __FILE__, __LINE__);


?>